> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/python-sdk/docs/models/v3escalationpoliciesescalationpolicyrule.md).

# V3EscalationPoliciesEscalationPolicyRule

Represents a rule within an escalation policy.

## Fields

| Field                        | Type                                                                                                                  | Required             | Description                                                            |
| ---------------------------- | --------------------------------------------------------------------------------------------------------------------- | -------------------- | ---------------------------------------------------------------------- |
| `escalation_time`            | *int*                                                                                                                 | :heavy\_check\_mark: | The time in minutes to wait before this rule is triggered.             |
| `via`                        | List\[*str*]                                                                                                          | :heavy\_check\_mark: | The notification methods to use for this rule.                         |
| `roundrobin_enabled`         | *bool*                                                                                                                | :heavy\_check\_mark: | Indicates if round-robin is enabled for the entities in this rule.     |
| `roundrobin_next_index`      | *int*                                                                                                                 | :heavy\_check\_mark: | The index of the next entity to be notified in a round-robin setup.    |
| `entities`                   | List\[[models.V3EscalationPoliciesEscalationEntity](/python-sdk/docs/models/v3escalationpoliciesescalationentity.md)] | :heavy\_check\_mark: | The entities to be notified in this rule.                              |
| `escalate_within_roundrobin` | *bool*                                                                                                                | :heavy\_check\_mark: | Indicates if escalation should happen within the round-robin rotation. |
| `repetition`                 | *int*                                                                                                                 | :heavy\_check\_mark: | The number of times this specific rule should be repeated.             |
| `repeat_after`               | *int*                                                                                                                 | :heavy\_check\_mark: | The time in minutes after which this rule should be repeated.          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/python-sdk/docs/models/v3escalationpoliciesescalationpolicyrule.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
